post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows users to update the discovery configuration. Supported schedule types for update discovery config is -daily/weekly/monthly. Account and device names must be provided as mandatory inputs for this method. Key ‘schedule’ accepts ‘daily’, ‘weekly’, and ‘monthly’ as values.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| account | Account name or ID | Yes | string |
| devicename | Name of the device whose discovery config is updated | Yes | string |
| targets | Target IP addresses for discovery scan | No | array |
| schedule | Schedule frequency (daily, weekly, monthly) | No | string |
| starttime | Scan start time (format: HH:MM:AM/PM) | No | string |
| endtime | Scan end time (format: HH:MM:AM/PM) | No | string |
| monthoftheyear | Month of the year (numeric value) | No | string |
| weekofthemonth | Week of the month (numeric values, comma-separated) | No | string |
| dayoftheweek | Day of the week (numeric value) | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.NetworkScanner.updateDiscoveryScanConfig(
account="Demo Account",
devicename="endpoint_device"
)
print(response)
client.close()Requires Python 3.9 or later.